package net.wanji.opt.service;

import net.wanji.databus.bo.CrossIdAndStartEndDateBO;
import net.wanji.databus.vo.RunningEvaluateCrossListVO;
import net.wanji.opt.bo.CrossNameBO;
import net.wanji.opt.vo.RunningEvaluateIndexStatusVO;
import net.wanji.opt.vo.RunningEvaluateCrossEvaluateVO;

import java.util.List;

public interface RunningEvaluateService {
    List<RunningEvaluateCrossListVO> crossList(CrossNameBO crossNameBO);

    RunningEvaluateCrossEvaluateVO crossEvaluate(CrossIdAndStartEndDateBO bo);

    List<RunningEvaluateIndexStatusVO> congestionStatus(CrossIdAndStartEndDateBO bo);

    List<RunningEvaluateIndexStatusVO> unbalanceStatus(CrossIdAndStartEndDateBO bo);
}
